niedziela, 22 maja 2011
Problem z aktualizacją - system twierdzi że wszystko jest w najnowszej wersji

Ostatnio zaobserwowałem dość dziwny przypadek w moim Archu. Chodzi o to że po zalogowani się na roota i wydaniu polecenia

#pacman -Suy (aby dokonać pełnej aktualizacji)

dostajemy komunikat iż wszystkie pakiety są w najnowszej wersji i aktualizacja nie jest wymagana.

Zauważyłem że problem ten dotyczył tez innych użytkowników ponieważ znalazłem wpis na ArchLinux.org. Rozwiązanie jest proste. Należy jako root otworzyć

/etc/pacman.d/mirrorlist

następnie jeśli obecna lista mirrorów była dla nas odpowiednia, skopiować ją, odpalić np. Kwriter i wkleić do nowo utworzonego dokumentu skopiowaną uprzednio listę, następnie zamknąć plik mirrorlist, następnie go usunąć, a utworzony w Kwrite plik z wklejoną listą zapisać jako nowy /etc/pacman.d/mirrorlist.

 

Powinno pomóc

Pozdro